<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly. 
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('SPALAB_THEME_NAME').' '.esc_html__('Options', 'spalab'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => constant('SPALAB_THEME_NAME') .' '.__('Admin Panel', 'spalab'),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'spalab'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'spalab' ),
	),
	
	array(
		'id'	=> 'header',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Header', 'spalab'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_headers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Header', 'spalab'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select default header.','spalab'),
	),
	
	array(
		'id'	=> 'footer',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Footer', 'spalab'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_footers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Footer', 'spalab'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select defaultfooter.','spalab'),
	),

	array(
	  'id'  	 => 'use-site-loader',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Site Loader', 'spalab'),
	  'info'	 => esc_html__('YES! to use site loader.', 'spalab')
	),	

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'spalab'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'spalab')
	),		

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'spalab'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'spalab'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'spalab'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'spalab')
	),



	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'spalab'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'spalab').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'spalab'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'spalab').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'layout_options',
  'title'       => esc_html__('Layout Options', 'spalab'),
  'icon'        => 'dashicons dashicons-exerpt-view',
  'sections' => array(

	// -----------------------------------------
	// Header Options
	// -----------------------------------------
	array(
	  'name'      => 'breadcrumb_options',
	  'title'     => esc_html__('Breadcrumb Options', 'spalab'),
	  'icon'      => 'fa fa-sitemap',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Breadcrumb Options", 'spalab' ),
		  ),

		  array(
			'id'  		 => 'show-breadcrumb',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Breadcrumb', 'spalab'),
			'info'		 => esc_html__('YES! to display breadcrumb for all pages.', 'spalab'),
			'default' 	 => true,
		  ),

		  array(
			'id'           => 'breadcrumb-delimiter',
			'type'         => 'icon',
			'title'        => esc_html__('Breadcrumb Delimiter', 'spalab'),
			'info'         => esc_html__('Choose delimiter style to display on breadcrumb section.', 'spalab'),
			'default' 	   => 'fa fa-angle-double-right',
		  ),

		  array(
			'id'           => 'breadcrumb-style',
			'type'         => 'select',
			'title'        => esc_html__('Breadcrumb Style', 'spalab'),
			'options'      => array(
			  'default' 							=> esc_html__('Default', 'spalab'),
			  'aligncenter'    						=> esc_html__('Align Center', 'spalab'),
			  'alignright'  						=> esc_html__('Align Right', 'spalab'),
			  'breadcrumb-left'    					=> esc_html__('Left Side Breadcrumb', 'spalab'),
			  'breadcrumb-right'     				=> esc_html__('Right Side Breadcrumb', 'spalab'),
			  'breadcrumb-top-right-title-center'  	=> esc_html__('Top Right Title Center', 'spalab'),
			  'breadcrumb-top-left-title-center'  	=> esc_html__('Top Left Title Center', 'spalab'),
			),
			'class'        => 'chosen',
			'default'      => 'default',
			'info'         => esc_html__('Choose alignment style to display on breadcrumb section.', 'spalab'),
		  ),

		  array(
			  'id'                 => 'breadcrumb-position',
			  'type'               => 'select',
			  'title'              => esc_html__('Position', 'spalab' ),
			  'options'            => array(
				  'header-top-absolute'    => esc_html__('Behind the Header','spalab'),
				  'header-top-relative'    => esc_html__('Default','spalab'),
			  ),
			  'class'        => 'chosen',
			  'default'      => 'header-top-relative',
			  'info'         => esc_html__('Choose position of breadcrumb section.', 'spalab'),
		  ),

		  array(
			'id'    => 'breadcrumb_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'spalab'),
			'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'spalab'),
			'default' => array (
		  		'image' => SPALAB_THEME_URI . '/images/breadcrumb-default-bg.jpg',
				'size'     	  => 'cover',
	            'repeat'   	  => 'no-repeat',
	            'attachment'  => 'scroll',
				'position'    => 'center center',
				'color'	   	  => '#ffffff',
			),
		  ),

		),
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'spalab'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Post Options
	// -----------------------------------------
	array(
	  'name'      => 'post_options',
	  'title'     => esc_html__('Post Options', 'spalab'),
	  'icon'      => 'fa fa-file',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post Options", 'spalab' ),
		  ),
		
		  array(
			'id'  		 => 'single-post-authorbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Author Box', 'spalab'),
			'info'		 => esc_html__('YES! to display author box in single blog posts.', 'spalab'),
			'default'	=> true
		  ),

		  array(
			'id'  		 => 'single-post-related',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Related Posts', 'spalab'),
			'info'		 => esc_html__('YES! to display related blog posts in single posts.', 'spalab')
		  ),

		  array(
			'id'  		 => 'single-post-navigation',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Post Navigation', 'spalab'),
			'info'		 => esc_html__('YES! to display post navigation in single posts.', 'spalab'),
			'default'	=> true
		  ),

		  array(
			'id'  		 => 'single-post-comments',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Posts Comments', 'spalab'),
			'info'		 => esc_html__('YES! to display single blog post comments.', 'spalab'),
			'default' 	 => true,
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Page Layout", 'spalab' ),
		  ),

		  array(
			'id'      	 => 'post-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'spalab'),
			'options'    => array(
			  'content-full-width'   => SPALAB_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => SPALAB_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'post-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'spalab'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
			'default' 	 => true,
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'spalab'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Post Layout", 'spalab' ),
		  ),

		  array(
			'id'      	   => 'post-archives-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'spalab'),
			'options'      => array(
			  'one-column' 		  => SPALAB_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => SPALAB_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => SPALAB_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  '1-2-2'			  => SPALAB_THEME_URI . '/cs-framework-override/images/1-2-2.png',
			  '1-2-2-1-2-2' 	  => SPALAB_THEME_URI . '/cs-framework-override/images/1-2-2-1-2-2.png',
			  '1-3-3-3'			  => SPALAB_THEME_URI . '/cs-framework-override/images/1-3-3-3.png',
			  '1-3-3-3-1' 		  => SPALAB_THEME_URI . '/cs-framework-override/images/1-3-3-3-1.png',
			),
			'default'      => 'one-column',
		  ),

		  array(
			'id'           => 'post-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'spalab'),
			'options'      => array(
			  'blog-default-style' 		=> esc_html__('Default', 'spalab'),
			  'entry-date-left'      	=> esc_html__('Date Left', 'spalab'),
			  'entry-date-left outer-frame-border'      	=> esc_html__('Date Left Modern', 'spalab'),
			  'entry-date-author-left'  => esc_html__('Date and Author Left', 'spalab'),
			  'blog-modern-style'       => esc_html__('Modern', 'spalab'),
			  'bordered'      			=> esc_html__('Bordered', 'spalab'),
			  'classic'      			=> esc_html__('Classic', 'spalab'),
			  'entry-overlay-style' 	=> esc_html__('Trendy', 'spalab'),
			  'overlap' 				=> esc_html__('Overlap', 'spalab'),
			  'entry-center-align'		=> esc_html__('Stripe', 'spalab'),
			  'entry-fashion-style'	 	=> esc_html__('Fashion', 'spalab'),
			  'entry-minimal-bordered' 	=> esc_html__('Minimal Bordered', 'spalab'),
			  'blog-medium-style'       => esc_html__('Medium', 'spalab'),
			  'blog-medium-style dt-blog-medium-highlight'     					 => esc_html__('Medium Hightlight', 'spalab'),
			  'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight'  => esc_html__('Medium Skin Highlight', 'spalab'),
			),
			'class'        => 'chosen',
			'default'      => 'entry-date-author-left',
			'info'         => esc_html__('Choose post style to display post archives pages.', 'spalab'),
		  ),

		  array(
			'id'  		 => 'post-archives-enable-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Allow Excerpt', 'spalab'),
			'info'		 => esc_html__('YES! to allow excerpt', 'spalab'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'post-archives-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'spalab'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'spalab').'</span>',
			'default' 	 => 40,
		  ),

		  array(
			'id'  		 => 'post-archives-enable-readmore',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Read More', 'spalab'),
			'info'		 => esc_html__('YES! to enable read more button', 'spalab'),
		  ),

		  array(
			'id'  		 => 'post-archives-readmore',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Read More Shortcode', 'spalab'),
			'info'		 => esc_html__('Paste any button shortcode here', 'spalab'),
			'default'	 => '[dt_sc_button title="'.esc_attr__('Read More','spalab').'" style="filled rounded-corner"]',
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post & Post Archive options", 'spalab' ),
		  ),

		  array(
			'id'      => 'post-format-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Post Format Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post format meta information', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-author-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Author Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post author meta information', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-date-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Date Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post date meta information', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-comment-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Comment Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post comment meta information', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-category-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Category Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post category information', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-tag-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Tag Meta', 'spalab' ),
			'info'	  => esc_html__('YES! to show post tag information', 'spalab'),
			'default' => true
		  ),

		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'spalab'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'spalab' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'spalab' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'spalab'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'spalab'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'spalab'),
			  'type2'      => esc_html__('Classic', 'spalab'),
			  'type4'  	   => esc_html__('Diamond', 'spalab'),
			  'type5'      => esc_html__('Shadow', 'spalab'),
			  'type6'      => esc_html__('Diamond Alt', 'spalab'),
			  'type7'  	   => esc_html__('Stack', 'spalab'),
			  'type8'  	   => esc_html__('Minimal', 'spalab'),
			  'type9'  	   => esc_html__('Spa', 'spalab'),
			),
			'class'        => 'chosen',
			'default'      => 'type9',
			'info'         => esc_html__('Choose the style of not-found template page.', 'spalab')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'spalab' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'spalab'),
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'spalab'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'spalab'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'spalab')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'spalab' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'spalab'),
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'spalab'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'spalab')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'spalab'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'spalab' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'spalab' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'spalab')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'spalab'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'spalab'),
			  'type2'      => esc_html__('Teaser', 'spalab'),
			  'type3'  	   => esc_html__('Minimal', 'spalab'),
			  'type4'      => esc_html__('Counter Only', 'spalab'),
			  'type5'      => esc_html__('Belt', 'spalab'),
			  'type6'  	   => esc_html__('Classic', 'spalab'),
			  'type7'  	   => esc_html__('Boxed', 'spalab')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'spalab'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'spalab' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'spalab')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'spalab'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'spalab'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'spalab')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'spalab' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'spalab'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'spalab'),
			'attributes' => array( 
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'spalab').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'spalab'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'spalab'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'spalab')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'spalab'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'spalab'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'spalab'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'spalab' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'spalab'),
		'options'      => array(
		  'default' => esc_html__('Choose any type', 'spalab'),
		  'type1' 	   => esc_html__('Double Border', 'spalab'),
		  'type2'      => esc_html__('Tooltip', 'spalab'),
		  'type3'  	   => esc_html__('Title Top Border', 'spalab'),
		  'type4'      => esc_html__('Left Border & Pattren', 'spalab'),
		  'type5'      => esc_html__('Bottom Border', 'spalab'),
		  'type6'  	   => esc_html__('Tooltip Border', 'spalab'),
		  'type7'  	   => esc_html__('Boxed Modern', 'spalab'),
		  'type8'  	   => esc_html__('Elegant Border', 'spalab'),
		  'type9' 	   => esc_html__('Needle', 'spalab'),
		  'type10' 	   => esc_html__('Ribbon', 'spalab'),
		  'type11' 	   => esc_html__('Content Background', 'spalab'),
		  'type12' 	   => esc_html__('Classic BG', 'spalab'),
		  'type13' 	   => esc_html__('Tiny Boders', 'spalab'),
		  'type14' 	   => esc_html__('BG & Border', 'spalab'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'spalab'),
		  'type16' 	   => esc_html__('Left Border & BG', 'spalab'),
		  'type17' 	   => esc_html__('Basic', 'spalab'),
		  'type18' 	   => esc_html__('BG & Pattern', 'spalab'),
		),
		'class'          => 'chosen',
		'default' 		 => 'default',
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'spalab')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'spalab'),
		'button_title'    => esc_html__('Add New', 'spalab'),
		'accordion_title' => esc_html__('Add New Widget Area', 'spalab'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'spalab'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) && ! class_exists ( 'DTWooPlugin' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('Woocommerce', 'spalab'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Woocommerce Shop Page Options", 'spalab' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'spalab'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'spalab').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'           => 'product-style',
			'type'         => 'select',
			'title'        => esc_html__('Product Style', 'spalab'),
			'options'      => array(
			  'woo-type1' 	   => esc_html__('Thick Border', 'spalab'),
			  'woo-type4'      => esc_html__('Diamond Icons', 'spalab'),
			  'woo-type8' 	   => esc_html__('Modern', 'spalab'),
			  'woo-type10' 	   => esc_html__('Easing', 'spalab'),
			  'woo-type11' 	   => esc_html__('Boxed', 'spalab'),
			  'woo-type12' 	   => esc_html__('Easing Alt', 'spalab'),
			  'woo-type13' 	   => esc_html__('Parallel', 'spalab'),
			  'woo-type14' 	   => esc_html__('Pointer', 'spalab'),
			  'woo-type16' 	   => esc_html__('Stack', 'spalab'),
			  'woo-type17' 	   => esc_html__('Bouncy', 'spalab'),
			  'woo-type20' 	   => esc_html__('Masked Circle', 'spalab'),
			  'woo-type21' 	   => esc_html__('Classic', 'spalab'),
			  'woo-type22'        => esc_html__('Wishlist', 'spalab')
			),
			'class'        => 'chosen',
			'default' 	   => 'woo-type22',
			'info'         => esc_html__('Choose products style to display shop & archive pages.', 'spalab')
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'spalab'),
			'options'    => array(
				  1   => SPALAB_THEME_URI . '/cs-framework-override/images/one-column.png',
				  2   => SPALAB_THEME_URI . '/cs-framework-override/images/one-half-column.png',
				  3   => SPALAB_THEME_URI . '/cs-framework-override/images/one-third-column.png',
				  4   => SPALAB_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 3,
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'spalab' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'spalab'),
			'options'      => array(
			  'content-full-width'   => SPALAB_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => SPALAB_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'with-left-sidebar',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'spalab'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
			'default'		=> true
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'spalab'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'spalab'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'spalab')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'spalab' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'spalab'),
			'options'      => array(
			  'content-full-width'   => SPALAB_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => SPALAB_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'spalab'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'spalab'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'spalab' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'spalab'),
			'options'      => array(
			  'content-full-width'   => SPALAB_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => SPALAB_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => SPALAB_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'spalab'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'spalab'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Gift Card Email Settings", 'spalab' ),
		  ),
		  
		  array(
		  'id'      => 'gcemail-subject',
		  'type'    => 'text',
		  'title'   => esc_html__('Email Subject', 'spalab'),
		  'after' 	=> '<p class="cs-text-info">'.esc_html__('You can paste your email subject of gift card notification. ', 'spalab').'</p>',
		),
		  
		  
		  array(
			'id'  		 => 'gcemail-template',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Email Template', 'spalab'),
			'info'		 => esc_html__('You can paste your email template of gift card notification. ', 'spalab')
		  ),

	  ),
	);
}

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'spalab'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'spalab' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'spalab'),
		'info'	=> esc_html__("YES! to enable top hook.", 'spalab')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'spalab'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'spalab')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'spalab' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'spalab'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'spalab')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'spalab'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'spalab')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'spalab' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'spalab'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'spalab')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'spalab'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'spalab')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'spalab' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'spalab'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'spalab')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'spalab'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'spalab')
	  ),

  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'spalab'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'spalab')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'spalab'),
		'info'		 => esc_html__('Enter your Google tracking id (UA-XXXXX-X) here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'spalab')
	  ),

   ),
);

// -----------------------------------------
// Custom Font Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'font_options',
  'title'       => esc_html__('Custom Fonts', 'spalab'),
  'icon'        => 'fa fa-font',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Fonts", 'spalab' ),
	  ),

	  array(
		'id'              => 'custom_font_fields',
		'type'            => 'group',
		'title'           => esc_html__('Custom Font', 'spalab'),
		'info'            => esc_html__('Click button to add font name & urls.', 'spalab'),
		'button_title'    => esc_html__('Add New Font', 'spalab'),
		'accordion_title' => esc_html__('Adding New Font Field', 'spalab'),
		'fields'          => array(
		  array(
			'id'          => 'custom_font_name',
			'type'        => 'text',
			'title'       => esc_html__('Font Name', 'spalab')
		  ),

		  array(
			'id'      => 'custom_font_woof',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff)', 'spalab'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff) file here.', 'spalab').'</p>',
		  ),

		  array(
			'id'      => 'custom_font_woof2',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff2)', 'spalab'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff2) file here.', 'spalab').'</p>',
		  )
		)
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'spalab'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'spalab')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('SPALAB_THEME_NAME').esc_html__(' Log', 'spalab'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('SPALAB_THEME_NAME').esc_html__(' Theme Change Log', 'spalab')
    ),
    array(
      'type'    => 'content',
      'content' => '<pre>
*** Spa Lab Innovative Beauty Spa Wordpress Theme Change log ***

2014.09.03 - version 1.0
 * First release!

2014.09.20 - version 1.1
* Woocommerce 2.2.4 compatible

2014.11.07 - version 1.2
* Added New Page Builder to create pages
* Fixed featured image option in single post

2014.12.18 - version 1.3
* Now Retina Ready
* Added Globally enable/disable option for Placeholder
* Added post and page layout options for catalog archive
* Added Recent Post with Category shortcode 
* Fixed Page builder text widget issue
* Fixed properties issues in Gift cards and Catalog Menu Items shortcodes
* Updated documentation
* Updated dummy content file
* Image Optimization 
* RTL support
* Added demo slider zip file

2014.12.24 - version 1.4
* Fixed header issues

2015.01.08 - version 1.5
* Gift Card updated

2015.02.24 - version 1.6
* Woocommerce 2.3.4 compatible
* Added Top bar color option
* Added Globally Enable Page Layout option for All Single Posts
* Updated dummy data file
* Fixed comments issues in Recent Post shortcode
* Fixed Icon box target issue
* Fixed Comment section issue in single portfolio page

2015.03.11 - version 1.7
* Updated po file

2015.04.17 - version 1.8
* Added icon property for shortcode catalog menu items list
* Added suppress_filters
* Updated Documentation
* Fixed Data validation
* Fixed minor design issues
* Fixed apple favicon issues
* Fixed logo upload issue
* Fixed warning notice issues
* Fixed font issues in Buddha panel
* Fixed reservation template page content issue
* Fixed video placeholder  thumbnail issues in portfolio template page.

2015.04.24 - version 1.9
* Wordpress 4.2 compatible
* Fixed theme vulnerability

2015.09.23 - version 2.0
* Wordpress 4.3 compatible
* Added catalog description
* Fixed Wpml support issues in page builder
* Fixed header and body code issues
* Updated Font Awesome
* Updated TGM plugin

2015.11.25 - version 2.1
* Compatible with wordpress 4.3.1 
* Included updated slider versions
* Updated Documentation
* Updated 404 page
* Improved Breadcrumb section
* Added placeholder text property in Newletter shortcode
* Added Button with font awesome icon shortcode
* Added catalog categories description
* Added link property to catalog items shortcode
* Added target property to procedure shortcode
* Added extra pages
* Added 7 new header types
* Added different types of gallery shapes and hover styles.
* Added Loader options
* Added Coming Soon template page
* Added 3 types of Icon boxes
* Added new type Donutchart
* Added new shortcodes such as Animation,callout with moving BG  and Appointment
* Fixed Company notification message saving issue
* Fixed blog video post wrong dimensions.
* Fixed currency issues in Gift shortcode
* Fixed catalog sorting issues
* Fixed taxonomy issues
* Fixed nested shortcodes issue (columns inside tabs)
* Fixed header and body code issue

2015.11.26 - version 2.1.1
* Fixed loader issue

2015.12.05 - version 2.1.2
* Fixed logo issues
* Loader color will change as per skin

2015.12.22 - version 2.1.3
* Updated .po file
* Added roboto font in google font list
* Fixed font issue

2016.03.08 - version 2.2
* WordPress 4.4.2 Compatible
* Added captcha for reservation form
* Fixed few issues

2016.04.16 - version 2.3
* WordPress 4.5 Compatible

2016.04.19 - version 2.3.1
* Fixed toggle shortcode issue

2016.05.26 - version 2.3.2
* Added new catalog items with categories shortcode

2016.06.20 - version 2.3.3
* Added breadcrumb types
* Added instagram social icon
* Added category attribute to gift shortcode
* Fixed header issue
* Fixed minor design issues
* Updated fontawesome icons

02-07-2016 - version 2.4
* Compatible with WordPress 4.5.3
* Updated plugins layer slider-5.6.9,Revolution slider-5.2.6,Responsive Styled Google Maps-3.4
* Updated font awesome icons-4.6.3
* Updated TGMA plugin-2.6.1

08-08-2016 - version 2.4.1
* Fixed layer slider invalid URL issue.
* Updated admin notification in Reservation template.

25-10-2016 - version 2.5
* Compatible with WordPress 4.6.1
* Dummy content importer updated
* Unyson importer plugin included
* Global page layout option updated
* Fontawesome css updated
* Updated latest version of all third party plugins
* SSL compatible updated
* Updated documentation

10-11-2016 - version 2.5.1
* Fixed paypal issue

27-03-2017 - version 2.6
* Compatible with WordPress 4.7.3
* Added alignment shortcode
* Fixed catalog placeholder issue
* Fixed Recent post excerpt issue

04-05-2017 - version 2.7
* WooCommerce 3.0.5 compatible

06-05-2017 - version 2.7.1
* Compatible with Visual Composer 5.1.1

07-06-2017 - version 2.7.2
* Compatible with PHP7
* Updated language files
* Reservation personal-info issues fixed
* Catalog shortcode issues fixed
* Copyright string translation issues fixed
* Fixed "you may also like" product sidebar issue

11-08-2017 - version 2.8
* Fixed Revolution slider color picker issue
* Fixed Menu jerk issue
* Fixed Disable link menu issue
* Fixed Color options issue
* Fixed Catalog page content issue
* Added fullwidth section video shortcode
* Fixed Appointment language translation issue
* Some design tweaks updated
* Nav menu plugin conflict fixed
* Updated .po files

06-09-2017 - version 2.8.1
* Compatible with WordPress 4.8.1
* Fixed text and image module issues in Page Builder
* Fixed design issues
* Updated Font Awesome icons - 4.7.0

26-09-2017 - version 2.8.2
* Updated responsive.css file

16-10-2017 - version 2.8.3
* Fixed catalog menu issue in chrome

14-11-2017 - version 2.8.4

* Compatible with Wordpress version 4.8.3
* Fixed Theme Check errors
* Removed SEO Metabox

17-11-2017 - version 2.8.5

* Fixed the fatal error

20-11-2017 - version 2.8.6

* Mailchimp error

07-12-2017 - version 2.8.7

* Fixed theme widgets Fatal error

25-12-2017 - version 2.8.8

* Updated dummy content
* Fixed bulk install notice error
* Fixed image upload issue in PB

30-12-2017 - version 2.8.9

* Updated dummy content

22-03-2018 - version 3.0

* Fix - Nav menu plugin conflict issue
* Fix - Unyson page builder conflicts with "Visual Composer" and "DesignThemes Page Builder" 
* Fix - Mail server issue
* Fix - Disabling "Visual Editor" option from profile settings page conflicts with "DesignThemes Page Builder" 
* Fix - Added links to tweets from twitter widget
* Fix - New WordPress widgets like Text, Image, Gallery,... conflicts with "DesignThemes Page Builder" 
* Fix - Bulk Install plugins issue.
* Fix - Text path of the dashboard notification
* Fix - All theme functions updated for child theme support
* Fix - In Bpanel # comment removed
* Updated Documentation

* Compatible - WordPress 4.9.4
* Compatible - WooCommerce 3.3.4

* Packed with - DesignThemes Core Shortcode Plugins 1.6
* Packed with - Layer Slider 6.7.1
* Packed with - Revolution Slider 5.4.7.2
* Packed with - WPBakery Visual Composer 5.4.7
* Packed with - Ultimate Addons for Visual Composer 3.16.21
* Packed with - Responsive Styled Google Maps Generator 4.4

27-08-2018 - version 3.1

* Fix - Compatible - WordPress 4.9.8
* Fix - GDPR 
* Fix - SSL error 
* Fix - Site title color option
* Some design tweaks 

2018.10.05 - version 3.2

* Fix - Tracking Code Option
* Fix - Archive Page issue
* Fix - Updated Plugin files included 

2018.12.08 - version 4.0

* Major update of Spalab theme.
* All the demo contents updated to Visual Composer modules
* Reservation removed from themes files and added as a separate plugin.
* Compatible with wordpress 5.0
* Gutenberg compatible
* Clients please do not upload the new version spalab theme or plugin files to your exisiting spalab old version, since the site will crash. If you need to continue with your old version, we have provided the old version separately please use those files. If you need to go with the new visual composer version, you need to install it in a fresh site.
 
2019.01.07 - version 4.1

* Updated demo contents

2019.07.17 - version 4.2

* Compatible with wordpress 5.2.2
* Updated: All premium plugins
* Updated: Revisions added to all custom post types
* Updated: Gutenberg editor support for custom post types
* Updated: Link for phone number module
* Updated: Online documentation link, check readme file

* Fixed: Customizer logo option
* Fixed: Google Analytics issue
* Fixed: Mailchimp email client issue
* Fixed: Gutenberg check for old wordpress version
* Fixed: Edit with Visual Composer for portfolio
* Fixed: Header & Footer wpml option
* Fixed: Appointment person display under the services in backend
* Fixed: Smooth scrolling in ie 11
* Fixed: Breadcrumb issue in services page
* Fixed: Site title color
* Fixed: Privacy popup bg color
* Fixed: 404 page scrolling issue

* Improved: Single product breadcrumb section
* Improved: Tags taxonomy added for portfolio
* Improved: Woocommerce cart module added with custom class option

* New: Whatsapp Shortcode

2019.11.19 - version 4.3

* Updated all wordpress theme standards
* Compatible with latest Gutenberg editor
* Updated: All premium plugins
* Compatible with wordpress 5.3

2020.01.28 - version 4.4

* Compatible with wordpress 5.3.2
* Updated: All premium plugins
* Updated: All wordpress theme standards
* Updated: Privacy and Cookies concept
* Updated: Gutenberg editor support for custom post types

* Fixed: Google Analytics issue
* Fixed: Mailchimp email client issue
* Fixed: Privacy Button Issue
* Fixed: Gutenberg check for old wordpress version

* Improved: Tags taxonomy added for portfolio
* Improved: Single product breadcrumb section
* Improved: Revisions options added for all custom posts

2020.02.06 - version 4.5

* Updated : All premium plugins

2020.06.12 - version 4.6

* Updated : Font Awesome 5 icons
* Updated : Deprecated warnings
* Compatible with wordpress 5.4.2

2020.07.28 - version 4.7

* Updated: Envato Theme check
* Updated: sanitize_text_field added
* Updated: All wordpress theme standards
* Updated: All premium plugins

2020.07.31 - version 4.8

* Updated: shortcode css files added in wp enqueue method

2020.08.13 - version 4.9

* Compatible with wordpress 5.5

2020.09.07 - version 5.0

* Updated: RTL issues 
* Updated: Demo contents
* Updated: Icon box shortcode type3 button title and link
* Updated: Warning message from theme file.
* Updated: Gallery renamed to Portfolio in the page metabox section
* Updated: Image link for icon box shortcode type 3

2020.11.27 - version 5.1

* Latest jQuery fixes updated
* Updated: All premium plugins

2021.01.23 - version 5.2

* Compatible with wordpress 5.6
* Some design issues updated
* Updated: All premium plugins

2021.08.26 - version 5.3

* Compatible with wordpress 5.8

2022.04.29 - version 5.4

* Fixed kirki customizer issue

2022.11.09 - version 5.5

* Compatible with WordPress 6.1
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.1 version
* Updated: All premium plugins

</pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'spalab'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );