<?php
	global $post;

	$show_format_meta = cs_get_option( 'post-format-meta' );
	$show_format_meta = !empty( $show_format_meta ) ? "" : "hidden";

	$show_author_meta = cs_get_option( 'post-author-meta' );
	$show_author_meta = !empty( $show_author_meta ) ? "" : "hidden";

	$show_date_meta = cs_get_option( 'post-date-meta' );
	$show_date_meta = !empty( $show_date_meta ) ? "" : "hidden";	

	$show_comment_meta = cs_get_option( 'post-comment-meta' );
	$show_comment_meta = !empty( $show_comment_meta ) ? "" : "hidden";

	$show_category_meta = cs_get_option( 'post-category-meta' );
	$show_category_meta = !empty( $show_category_meta ) ? "" : "hidden";

	$show_tag_meta = cs_get_option( 'post-tag-meta' );
	$show_tag_meta = !empty( $show_tag_meta ) ? "" : "hidden";

	$post_meta = get_post_meta($post->ID, '_dt_post_settings', TRUE);
	$post_meta = is_array($post_meta) ? $post_meta : array();
	
	$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard'; ?>
    
        <div class="entry-meta">
                <!-- Entry Format -->
            <div class="entry-format <?php echo esc_attr($show_format_meta);?>">
                <a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
            </div><!-- Entry Format -->
        
            <a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('%s','spalab'),the_title_attribute('echo=0'));?>" class="entry_format"> </a>
            <div class="date <?php echo esc_attr( $show_date_meta );?>">
                <p> <?php echo get_the_date('M').' '.get_the_date('d');?> <span> <?php echo get_the_date('Y'); ?> </span> </p>
            </div>
			<?php  if( ! post_password_required() ) {
                comments_popup_link( '<i class="fa fa-comments"> </i>'.esc_html__(' 0','spalab'), '<i class="fa fa-comments"> </i>'.esc_html__(' 1','spalab'),
          '<i class="fa fa-comments"> </i> % ', $show_comment_meta, '<i class="fa fa-comments"> </i>'.esc_html__(' 0','spalab'));
            } else {
                echo '<div class="password-protect"><i class="fa fa-lock"> </i>'.esc_html__('Enter your password to view comments.', 'spalab')."</div>";
            } ?> 
        </div>
    <!-- Featured Image -->
    <div class="entry-thumb">
        <div class="blog-image">
            <?php get_template_part( 'framework/loops/partials/entry', 'thumb' ); ?>
        </div>
        
    </div><!-- Featured Image -->
    
    <!-- Entry Details -->
    <div class="entry-details">
         <div class="entry-title">
        	<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','spalab'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
    	</div>

    <!-- Entry Meta Data -->
    <div class="entry-meta-data">
		<p class="author <?php echo esc_attr( $show_author_meta );?>"><span class='fa fa-user'></span> 
        <a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'spalab'); echo get_the_author();?>">
		<?php echo get_the_author();?></a></p>
        <?php if(isset($show_tag_meta) && empty( $show_tag_meta ) ): ?>
        <?php the_tags("<p class='tags '> <span class='fa fa-tags'> </span> "); ?>
        <?php endif; ?>
		<?php $categories = get_the_category();
			if ( ! empty( $categories ) ):?>
				<p><span class='fa fa-folder-open <?php echo esc_attr( $show_category_meta );?>'></span><span class="<?php echo esc_attr( $show_category_meta );?> category"><?php the_category(', '); ?></p><?php
			endif; ?>

    </div><!-- Entry Meta Data -->
    
        <div class="entry-body">
           <?php the_content();?>
           <?php wp_link_pages( array( 'before'=>'<div class="page-link">', 'after'=>'</div>', 'link_before'=>'<span>', 'link_after'=>'</span>', 'next_or_number'=>'number',
                            'pagelink' => '%', 'echo' => 1 ) );?>
        </div>

        <!-- Meta -->
        <div class="entry-meta hidden">

            <div class="comments <?php echo esc_attr($show_comment_meta);?>">
            	<i class="fa fa-comments"> </i>
                	<?php  if( ! post_password_required() ) {
				        comments_popup_link( '<i class="fa fa-comments"> </i>'.esc_html__(' 0','spalab'), '<i class="fa fa-comments"> </i>'.esc_html__(' 1','spalab'),
                  '<i class="fa fa-comments"> </i> % ', $show_comment_meta, '<i class="fa fa-comments"> </i>'.esc_html__(' 0','spalab'));
                    } else {
                        echo '<i class="fa fa-lock"> </i>'.esc_html__('Enter your password to view comments.', 'spalab');
                    } ?>
            </div>

            <?php if( shortcode_exists( 'dt_sc_post_view_count' ) && shortcode_exists( 'dt_sc_post_like_count' ) && class_exists( 'DTCorePlugin' ) ): ?>
                <div class="entry-info">
                    <div class="dt-sc-like-views">
                        <div class="views">
                            <i class="fa fa-eye"> </i>
                            <span><?php echo do_shortcode('[dt_sc_post_view_count post_id="'.$post->ID.'" /]'); ?></span>
                        </div>
                        
                        <div class="likes dt_like_btn">
                            <i class="fa fa-heart"> </i>
                            <a href="#" data-postid="<?php the_ID(); ?>" data-action="like">
                                <i><?php echo do_shortcode('[dt_sc_post_like_count post_id="'.$post->ID.'" /]'); ?></i>
                            </a>
                        </div>
                    </div>
                </div>
            <?php endif;?>    
        </div><!-- Meta -->
    </div><!-- Entry Details -->

	<?php edit_post_link( esc_html__( ' Edit ','spalab' ) ); ?>