<?php
function spalab_kirki_config() {
	return 'spalab_kirki_config';
}

function spalab_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = SPALAB_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo'] = SPALAB_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = SPALAB_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#ffffff';
	

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['use-predefined-skin'] = '0';
	$defaults['predefined-skin'] = 'purple';
	$defaults['primary-color'] = '#72448d';
	$defaults['secondary-color'] = '#5c3474';
	$defaults['tertiary-color'] = '#56336b';
	$defaults['quaternary-color'] = 'rgba(114,68,141,0.9)';

	$defaults['body-bg-color'] 		= '#ffffff';
	$defaults['body-content-color'] = '#868686';
	$defaults['body-a-color'] 		= '#72448d';
	$defaults['body-a-hover-color'] = '#5c3474';



	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Raleway',
		'variant' => '400',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '52px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'none' );
	$defaults['customize-breadcrumb-typo'] = '1';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Raleway',
		'variant' => '400',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#fff',
		'text-align' => 'unset',
		'text-transform' => 'none' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Raleway',
		'variant' => '600',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '36px',
		'letter-spacing' => '0',
		'color' => '#707070',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Raleway',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => '26px',
		'letter-spacing' => '0',
		'color' => '#707070',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '36px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '30px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '24px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '20px',
		'line-height' => '24px',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '18px',
		'line-height' => '24px',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Raleway',
		'variant' => 'regular',
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0px',
		'color' => '#181818',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Raleway',
		'variant' => 'normal',
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0px',
		'color' => '#868686',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function spalab_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','spalab'),
		"top center"    => esc_attr__('Top Center','spalab'),
		"top right"     => esc_attr__('Top Right','spalab'),
		"center left"   => esc_attr__('Center Left','spalab'),
		"center center" => esc_attr__('Center Center','spalab'),
		"center right"  => esc_attr__('Center Right','spalab'),
		"bottom left"   => esc_attr__('Bottom Left','spalab'),
		"bottom center" => esc_attr__('Bottom Center','spalab'),
		"bottom right"  => esc_attr__('Bottom Right','spalab'),
	);

	return $positions;
}

function spalab_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','spalab'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','spalab'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','spalab'),
		"no-repeat" => esc_attr__('No Repeat','spalab')
	);

	return $image_repeats;
}

function spalab_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','spalab'),
		"dotted" => esc_attr__('Dotted','spalab'),
		"dashed" => esc_attr__('Dashed','spalab'),
		"solid"	 => esc_attr__('Solid','spalab'),
		"double" => esc_attr__('Double','spalab'),
		"groove" => esc_attr__('Groove','spalab'),
		"ridge"	 => esc_attr__('Ridge','spalab'),
	);

	return $image_repeats;
}

function spalab_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','spalab'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'spalab'),
        "bounce"             =>  esc_attr__("bounce",'spalab'),
        "bounceIn"           =>  esc_attr__("bounceIn",'spalab'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'spalab'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'spalab'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'spalab'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'spalab'),
        "bounceOut"          =>  esc_attr__("bounceOut",'spalab'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'spalab'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'spalab'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'spalab'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'spalab'),
        "expandOpen"         =>  esc_attr__("expandOpen",'spalab'),
        "expandUp"           =>  esc_attr__("expandUp",'spalab'),
        "fadeIn"             =>  esc_attr__("fadeIn",'spalab'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'spalab'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'spalab'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'spalab'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'spalab'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'spalab'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'spalab'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'spalab'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'spalab'),
        "fadeOut"            =>  esc_attr__("fadeOut",'spalab'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'spalab'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'spalab'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'spalab'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'spalab'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'spalab'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'spalab'),
        "flash"              =>  esc_attr__("flash",'spalab'),
        "flip"               =>  esc_attr__("flip",'spalab'),
        "flipInX"            =>  esc_attr__("flipInX",'spalab'),
        "flipInY"            =>  esc_attr__("flipInY",'spalab'),
        "flipOutX"           =>  esc_attr__("flipOutX",'spalab'),
        "flipOutY"           =>  esc_attr__("flipOutY",'spalab'),
        "floating"           =>  esc_attr__("floating",'spalab'),
        "hatch"              =>  esc_attr__("hatch",'spalab'),
        "hinge"              =>  esc_attr__("hinge",'spalab'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'spalab'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'spalab'),
        "pullDown"           =>  esc_attr__("pullDown",'spalab'),
        "pullUp"             =>  esc_attr__("pullUp",'spalab'),
        "pulse"              =>  esc_attr__("pulse",'spalab'),
        "rollIn"             =>  esc_attr__("rollIn",'spalab'),
        "rollOut"            =>  esc_attr__("rollOut",'spalab'),
        "rotateIn"           =>  esc_attr__("rotateIn",'spalab'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'spalab'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'spalab'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'spalab'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'spalab'),
        "rotateOut"          =>  esc_attr__("rotateOut",'spalab'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'spalab'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'spalab'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'spalab'),
        "shake"              =>  esc_attr__("shake",'spalab'),
        "slideDown"          =>  esc_attr__("slideDown",'spalab'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'spalab'),
        "slideLeft"          =>  esc_attr__("slideLeft",'spalab'),
        "slideRight"         =>  esc_attr__("slideRight",'spalab'),
        "slideUp"            =>  esc_attr__("slideUp",'spalab'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'spalab'),
        "stretchRight"       =>  esc_attr__("stretchRight",'spalab'),
        "swing"              =>  esc_attr__("swing",'spalab'),
        "tada"               =>  esc_attr__("tada",'spalab'),
        "tossing"            =>  esc_attr__("tossing",'spalab'),
        "wobble"             =>  esc_attr__("wobble",'spalab'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'spalab'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'spalab'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'spalab')
    );

	return $animations;
}

function spalab_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( is_countable( $fonts ) && count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'spalab_custom_fonts', 20 );