<?php
$config = spalab_kirki_config();

SPALAB_Kirki::add_section( 'dt_site_layout_section', array(
	'title' => esc_html__( 'Site Layout', 'spalab' ),
	'priority' => 20
) );

	# site-layout
	SPALAB_Kirki::add_field( $config, array(
		'type'     => 'radio-image',
		'settings' => 'site-layout',
		'label'    => esc_html__( 'Site Layout', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'default'  => spalab_defaults('site-layout'),
		'choices' => array(
			'boxed' =>  SPALAB_THEME_URI.'/kirki/assets/images/site-layout/boxed.png',
			'wide' => SPALAB_THEME_URI.'/kirki/assets/images/site-layout/wide.png',
		)
	));

	# site-boxed-layout
	SPALAB_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'site-boxed-layout',
		'label'    => esc_html__( 'Customize Boxed Layout?', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'default'  => '1',
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'spalab' ),
			'off' => esc_attr__( 'No', 'spalab' )
		),
		'active_callback' => array(
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
		)			
	));

	# body-bg-type
	SPALAB_Kirki::add_field( $config, array(
		'type' => 'select',
		'settings' => 'body-bg-type',
		'label'    => esc_html__( 'Background Type', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'multiple' => 1,
		'default'  => 'none',
		'choices'  => array(
			'pattern' => esc_attr__( 'Predefined Patterns', 'spalab' ),
			'upload' => esc_attr__( 'Set Pattern', 'spalab' ),
			'none' => esc_attr__( 'None', 'spalab' ),
		),
		'active_callback' => array(
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-pattern
	SPALAB_Kirki::add_field( $config, array(
		'type'     => 'radio-image',
		'settings' => 'body-bg-pattern',
		'label'    => esc_html__( 'Predefined Patterns', 'spalab' ),
		'description'    => esc_html__( 'Add Background for body', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'output' => array(
			array( 'element' => 'body' , 'property' => 'background-image' )
		),
		'choices' => array(
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern1.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern1.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern2.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern2.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern3.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern3.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern4.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern4.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern5.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern5.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern6.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern6.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern7.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern7.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern8.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern8.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern9.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern9.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern10.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern10.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern11.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern11.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern12.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern12.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern13.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern13.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern14.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern14.jpg',
			SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern15.jpg'=> SPALAB_THEME_URI.'/kirki/assets/images/site-layout/pattern15.jpg',
		),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => '==', 'value' => 'pattern' ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)						
	));

	# body-bg-image
	SPALAB_Kirki::add_field( $config, array(
		'type' => 'image',
		'settings' => 'body-bg-image',
		'label'    => esc_html__( 'Background Image', 'spalab' ),
		'description'    => esc_html__( 'Add Background Image for body', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'output' => array(
			array( 'element' => 'body' , 'property' => 'background-image' )
		),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => '==', 'value' => 'upload' ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-position
	SPALAB_Kirki::add_field( $config, array(
		'type' => 'select',
		'settings' => 'body-bg-position',
		'label'    => esc_html__( 'Background Position', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'output' => array(
			array( 'element' => 'body' , 'property' => 'background-position' )
		),
		'default' => 'center',
		'multiple' => 1,
		'choices' => spalab_image_positions(),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => 'contains', 'value' => array( 'pattern', 'upload') ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-repeat
	SPALAB_Kirki::add_field( $config, array(
		'type' => 'select',
		'settings' => 'body-bg-repeat',
		'label'    => esc_html__( 'Background Repeat', 'spalab' ),
		'section'  => 'dt_site_layout_section',
		'output' => array(
			array( 'element' => 'body' , 'property' => 'background-repeat' )
		),
		'default' => 'repeat',
		'multiple' => 1,
		'choices' => spalab_image_repeats(),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => 'contains', 'value' => array( 'pattern', 'upload' ) ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));	